import request from '@/utils/request'

// 查询游客列表
export function listAppTourist(query) {
  return request({
    url: '/model/AppTourist/list',
    method: 'get',
    params: query
  })
}

// 查询游客详细
export function getAppTourist(id) {
  return request({
    url: '/model/AppTourist/' + id,
    method: 'get'
  })
}

// 新增游客
export function addAppTourist(data) {
  return request({
    url: '/model/AppTourist',
    method: 'post',
    data: data
  })
}

// 修改游客
export function updateAppTourist(data) {
  return request({
    url: '/model/AppTourist',
    method: 'put',
    data: data
  })
}

// 删除游客
export function delAppTourist(id) {
  return request({
    url: '/model/AppTourist/' + id,
    method: 'delete'
  })
}
